body {
  background: #fff;
}

@media screen and (max-width: 767px) {
  #preloader-hack {
    opacity: 0 !important;
  }
  
  #preloader {
    opacity: 0;
  }
  
}

@media screen and (max-width: 992px) {
  #preloader-outer {
    padding: 30px;
  }
  
  #preloader-hack {
    top: 30px;
	left: 30px;
	right: 30px;
	bottom: 30px;
  }
  
  #preloader-wrapper {
	top: 32px;
	left: 32px;
	width: calc(100% - 64px);
	height: calc(100% - 64px);
   }
}

@media screen and (min-width: 993px) {
   #preloader-outer {
    padding: 30px;
  }
  
  #preloader-hack {
    top: 30px;
	left: 30px;
	right: 30px;
	bottom: 30px;
  }
  
  #preloader-wrapper {
	top: 52px;
	left: 52px;
	width: calc(100% - 104px);
	height: calc(100% - 104px);
   }
  
}

    #preloader-outer {
	  position: absolute;
	  top: 0;
	  left: 0;
	  right: 0;
	  bottom: 0;
	  box-sizing: border-box;
	  background: #fff;
	  transition: 1s;
	  -webkit-transition: 1s;
	  z-index: 99;
	}
	
	#canvas {
	  display: block;
	  transition: 1s;
	}
	
	#preloader-outer,
    #preloader	{
	  width: 100%;
	  height: 100%;
	}
	
	#preloader {
	  transition: background 1s;
	}
	
	#progress-bar img {
	  width: 200px;
	  height: auto;
	  opacity: 0;
	  transition: opacity 1s;
	}
	
	#preloader-hack {
	  background: transparent;
	  position: absolute;
	  opacity: 1;
	  z-index: 9999;
	}
	
	#preloader-hack.transition {
	  transition: border 2s;
	  -webkit-transition: border 2s;
	}
	
	#preloader-hack.top {
	  border-top: 1px #ff0 solid;
	}
	
	#preloader-hack.right {
	  border-right: 1px #ff0 solid;
	}
	
	#preloader-hack.bottom {
	  border-bottom: 1px #ff0 solid;
	}
	
	#preloader-hack.left {
	  border-left: 1px #ff0 solid;
	}
	
	#preloader-wrapper {
      position: absolute;
	  background: #fff;
	  z-index: 999;
	}
	
	#progress-bar {
	  position: absolute;
	  left: 50%;
	  top: 50%;
	  -o-transform: translateY(-50%) translateX(-50%);
	  -webkit-transform: translateY(-50%) translateX(-50%);
	  -ms-transform: translateY(-50%) translateX(-50%);
	  transform: translateY(-50%) translateX(-50%);
	  color: #888;
	  font-size: 18px;
	  background: transparent;
	  text-align: center;
	  margin-top: 25px;
	  z-index: 9999;
	}
	
	#progress-bar > div {
	  margin-top: 50px;
	  height: 20px;
	}